
#ifndef __INTCOUNT_H_
#define __INTCOUNT_H_

/**
 * @file: intcount.h
 *
 * Toto je hlavickovy soubor k souboru intcount.c, ktery implementuje
 * mechanismus pro pocitani preruseni. Tento mechanismus je zalozen na
 * modifikaci adres obsluznych rutin ve vsech IDT.
 */

#include <ntddk.h>


// Maximalni podporovany pocet procesoru
#define MAX_PROCESSORS                 64
// Velikost nove obsluzne rutiny v bajtech (muze byt i vyssi nez ve skutecnosti)
#define HANDLER_SIZE                   32


// Popis jednotlivych rutin naleznete v komentarich v souboru intcount.c

PULONG IntCountGetCounterArray(VOID);
ULONG IntCountGetCounterArrayLength(VOID);
VOID IntCountResetCounterArray(VOID);

NTSTATUS IntCountInit(VOID);
VOID IntCountFinit(VOID);

#endif
